Skip to main content
POST
/
storagezone
/
{id}
Update Storage Zone
curl --request POST \
  --url https://api.bunny.net/storagezone/{id} \
  --header 'AccessKey: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ReplicationZones": [
    "<string>"
  ],
  "OriginUrl": "<string>",
  "Custom404FilePath": "<string>",
  "Rewrite404To200": true
}
'
import requests

url = "https://api.bunny.net/storagezone/{id}"

payload = {
"ReplicationZones": ["<string>"],
"OriginUrl": "<string>",
"Custom404FilePath": "<string>",
"Rewrite404To200": True
}
headers = {
"AccessKey": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {AccessKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ReplicationZones: ['<string>'],
OriginUrl: '<string>',
Custom404FilePath: '<string>',
Rewrite404To200: true
})
};

fetch('https://api.bunny.net/storagezone/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ErrorKey": "<string>",
  "Field": "<string>",
  "Message": "<string>"
}

Authorizations

AccessKey
string
header
required

API Access Key authorization header

Path Parameters

id
integer<int64>
required

The ID of the storage zone that should be updated

Body

application/json

The configuration that should be applied to the storage zone

ReplicationZones
string[] | null

The list of replication zones enabld for the storage zone

OriginUrl
string | null

The origin URL of the storage zone

Custom404FilePath
string | null

The path to the custom file that will be returned in a case of 404

Rewrite404To200
boolean | null

Rewrite 404 status code to 200 for URLs without extension

Response

The storage zone was successfuly updated

Last modified on July 9, 2026